# vitalsStruct Struct Reference

`#include <vitals.h>`

Collaboration diagram for vitalsStruct:

[legend]

## Data Fields

uInt32 | dQuantum
fileSystem * | fileSystems
void * | font
uInt32 | freePages
vfs_mountPoint * | mountPoints
uInt32 | openFiles
char * | packet
uInt32 | packetLength
uInt32 | quantum
void * | screen
uInt32 | sysTicks
uInt32 | sysUptime
uInt32 | timeStart

## Detailed Description

Definition at line 38 of file vitals.h.

## Field Documentation

uInt32 vitalsStruct::dQuantum

Definition at line 43 of file vitals.h.

Referenced by vitals_init().

struct fileSystem* vitalsStruct::fileSystems

Definition at line 45 of file vitals.h.

Referenced by vfs_init(), vfsFindFS(), and vfsRegisterFS().

void* vitalsStruct::font

Definition at line 49 of file vitals.h.

Referenced by ogPrintf().

uInt32 vitalsStruct::freePages

Definition at line 44 of file vitals.h.

Referenced by adjustCowCounter(), freePage(), keyboardHandler(), kmain(), vmmFindFreePage(), and vmmFreeProcessPages().

struct vfs_mountPoint* vitalsStruct::mountPoints

Definition at line 46 of file vitals.h.

Referenced by vfs_addMount(), and vfs_findMount().

uInt32 vitalsStruct::openFiles

Definition at line 39 of file vitals.h.

Referenced by fclose(), and fopen().

char* vitalsStruct::packet

Definition at line 50 of file vitals.h.

uInt32 vitalsStruct::packetLength

Definition at line 51 of file vitals.h.

uInt32 vitalsStruct::quantum

Definition at line 42 of file vitals.h.

Referenced by vitals_init().

void* vitalsStruct::screen

Definition at line 48 of file vitals.h.

Referenced by ogPrintf().

uInt32 vitalsStruct::sysTicks

Definition at line 40 of file vitals.h.

Referenced by sysGetUptime(), and systemTask().

uInt32 vitalsStruct::sysUptime

Definition at line 41 of file vitals.h.

Referenced by sysGetTime(), systemTask(), and ubthread_cond_timedwait().

uInt32 vitalsStruct::timeStart

Definition at line 47 of file vitals.h.

Referenced by sysGetTime(), and time_init().

The documentation for this struct was generated from the following file:

- src/sys/include/ubixos/vitals.h